net.sf.okapi.lib.xliff2.changeTracking

## Class ChangeTrack

- java.lang.Object
- - net.sf.okapi.lib.xliff2.core.BaseList<Revisions>
  - - net.sf.okapi.lib.xliff2.changeTracking.ChangeTrack

- All Implemented Interfaces:
    java.lang.Iterable<Revisions>

      public class ChangeTrack
      extends BaseList<Revisions>

  Represents the `<changeTrack>` element of the Chan g e Tracking module.
  Author:
    Marta Borriello

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG_NAME` The tag element name constant.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChangeTrack()` Creates a new `ChangeTrack` object.
    `ChangeTrack(ChangeTrack original)` Copy constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getClosingTag()` Gets the `changeTrack` closing tag.
    `static java.lang.String` | `getCompleteOpeningTag(boolean withNamespace)` Gets the complete opening `<changeTrack>` tag.

    - ### Methods inherited from class net.sf.okapi.lib.xliff2.core.BaseList

      `add, clear, get, isEmpty, iterator, remove, remove, set, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG_NAME

          public static final java.lang.String TAG_NAME

      The tag element name constant.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChangeTrack

          public ChangeTrack()

      Creates a new `ChangeTrack` object.

    - #### ChangeTrack

          public ChangeTrack(ChangeTrack original)

      Copy constructor.
      Parameters:
        `original` - the original object to duplicate.

  - ### Method Detail

    - #### getCompleteOpeningTag

          public static java.lang.String getCompleteOpeningTag(boolean withNamespace)

      Gets the complete opening `<changeTrack>` tag.
      Parameters:
        `withNamespace` - a boolean stating if the name space has to be included in the tag.
      Returns:
        the complete `<changeTrack>` tag.

    - #### getClosingTag

          public static java.lang.String getClosingTag()

      Gets the `changeTrack` closing tag.
      Returns:
        the `changeTrack` closing tag.